from smtplib import SMTP
from email.mime.multipart import MIMEMultipart
from email.mime.text import MIMEText


class SendEmail:
    def __init__(self, receiver, subject: object, contentAsHtml: object) -> object:
        """
        Initialise an email sending object
        :param receiver: the email address as a string
        :param subject: the email subject
        :param contentAsHtml: the bodytext as html
        """
        self.sender = "YOUR EMAIL@EMAIL.COM"
        self.receiver = receiver
        self.message = MIMEMultipart()
        self.server = SMTP('YOUR SMTP SERVER', SMTP SERVER PORT)
        self.__login()
        self.__sendMessage(subject, contentAsHtml)

    def __login(self):
        """
        Log in the sender
        """
        self.server.ehlo()
        self.server.starttls()
        self.server.ehlo()
        self.server.login(self.sender, "YOUR EMAIL SERVICE PASSWORD")

    def __sendMessage(self, subject, content):
        """
        Send the message to the user
        :param subject: the email subject
        :param content: the email content
        :return: send an email to the receiver
        """
        self.message['Subject'] = subject
        self.message['To'] = self.receiver
        self.message['From'] = self.sender
        self.text = MIMEText(content, 'html')
        self.message.attach(self.text)
        self.server.send_message(self.message)
