# Imports
import socket, MySQLdb
from Models.sendEmail import SendEmail

# Global email body
BODY = "<h1>Hello {0}!</h1><p>Your CleanBot robot has just been started. The current IP-address is <a href='http://{1}:5000'>{1}:5000</a>." \
       "Connect to this address to use the web-interface. <br><b>Have a nice day!</b>"


def get_ip():
    """
    Get the device IP address by connecting to the Google DNS server
    :return: This device IP address
    """
    try:
        s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
        s.connect(("8.8.8.8", 80))
        ip = s.getsockname()[0]
        s.close()
        return ip
    except Exception as e:
        return e


def get_email_list():
    """
    Get all email addresses from users in the DB with "Receive emails" enabled
    :return: Email addresses
    """
    try:
        db = MySQLdb.connect(host="localhost",
                             user="project1-admin",
                             passwd="Password4AdminAccess",
                             db="project1")
        cursor = db.cursor()
        cursor.execute(
            "SELECT us.email, us.userFirstname from emaillist as el join user as us on us.userID = el.userID;")
        data = cursor.fetchall()
        result = []
        for d in data:
            result.append([d[0], d[1]])
        cursor.close()
        return result
    except Exception as e:
        return e


if __name__ == '__main__':
    ip = get_ip()
    for receiver in get_email_list():
        SendEmail(receiver[0], "CleanBot IP address", BODY.format(receiver[1], ip))
